package service

import "be.ems/src/modules/network_element/model"

// UDM签约用户信息 服务层接口
type IUDMSub interface {
	// Save UDM签约用户-获取redis全部保存数据库
	Save(neID string) int64

	// Page  UDM签约用户-分页查询数据库
	Page(query map[string]any) map[string]any

	// List  UDM签约用户-查询数据库
	List(subUser model.UDMSub) []model.UDMSub

	// Insert UDM签约用户-新增单个
	// imsi长度15，ki长度32，opc长度0或者32
	Insert(neID string, subUser model.UDMSub) int64

	// Insert UDM签约用户-批量添加
	Inserts(neID string, subUser model.UDMSub, num string) int64

	// InsertCSV UDM签约用户-批量添加
	InsertCSV(neID string, data []map[string]string) int64

	// InsertTxt UDM签约用户-批量添加
	InsertTxt(neID string, data [][]string) int64

	// Insert UDM签约用户-修改更新
	Update(neID string, subUser model.UDMSub) int64

	// Insert UDM签约用户-删除单个
	Delete(neID, imsi string) int64

	// Insert UDM签约用户-删除范围
	Deletes(neID, imsi, num string) int64
}
